## ETableSearch

ETableSearch

## Functions

ETableSearch * | e_table_search_new ()
void | e_table_search_input_character ()
gboolean | e_table_search_backspace ()
void | e_table_search_cancel ()

## Signals

void | accept | Run Last
gboolean | search | Run Last

## Types and Values

enum | ETableSearchFlags

## Object Hierarchy

        GObject
        ╰── ETableSearch

## Description

## Functions

### e_table_search_new ()

    ETableSearch *
    e_table_search_new (void);

### e_table_search_input_character ()

    void
    e_table_search_input_character (ETableSearch *e_table_search,
                                    gunichar character);

### e_table_search_backspace ()

    gboolean
    e_table_search_backspace (ETableSearch *e_table_search);

### e_table_search_cancel ()

    void
    e_table_search_cancel (ETableSearch *e_table_search);

## Types and Values

### enum ETableSearchFlags

#### Members

E_TABLE_SEARCH_FLAGS_CHECK_CURSOR_FIRST |  |

## Signal Details

### The `“accept”` signal

    void
    user_function (ETableSearch *etablesearch,
                   gpointer      user_data)

Flags: Run Last

### The `“search”` signal

    gboolean
    user_function (ETableSearch *etablesearch,
                   char         *arg1,
                   int           arg2,
                   gpointer      user_data)

Flags: Run Last